select {background: url(../../../image/service/layout/arrow.png) no-repeat bottom 50% right 2rem; padding-right: 5rem; background-color: #fff;}
input.disabled{
	background: #ededed;
    color: gray;
}
#kvar_browser{
	border: 1px solid #e5e5e5;
}
#browser_controller{
	background: linear-gradient(0deg, rgb(225 225 225) 0%, rgb(255 255 255) 50%, rgb(237 237 237) 100%);
	font-size: 1.4rem;
	padding: .7rem 2rem;
	border-bottom: 1px solid #e5e5e5;
	display: block;
}
#browser_controller input{
	font-size: 1.3rem;
	padding: 0.3rem 1rem;
}
#browser_controller select{
	font-size: 1.4rem;
	padding: 0.3rem 5rem 0.3rem 1rem;
	margin-right: .5rem;
}
#browser_controller .btn-frame{
	display: inline-block;
	margin-left: 3rem;
	user-select: none;
}
#browser_controller .settings-frame{
	display: block;
	float: right;
	font-size: 2rem;
    cursor: pointer;
    color: #878787;
}

#browser_controller .icon-btn{
	font-size: 2rem;
	margin-right: .9rem;
	cursor: pointer;
	color: #878787;
}
#browser_controller .icon-btn:hover{
	color: #000;
	transition: .3s;
}
#browser_controller .find-frame{
	float: right;
}
#browser_controller .apply-btn{
	background: #f7f8fa;
    border: 1px solid #adb1b8;
	margin-left: .5rem;
	padding: 0 1rem;
	font-size: 1.3rem;
	border-radius: .5rem;
	color: #333637;
	height: 3rem;
}
#browser_controller .apply-btn:hover{
	background: #e5e5e5;
	transition: .5s;
}
#kvar_browser div.track{
	display: flex;
}
#kvar_browser div.track-title{
	width: 180px;
	display: inline-block;
	background: #fff;
	border-right: 1px solid #b7b7b7;
	padding: 0 1rem;
	text-align: right;
	font-size: 1.4rem;
	color: #000;
	font-weight: lighter;
	user-select: none;
}
#kvar_browser div.track-title span i{
	font-size: 1.5rem;
	color: #6c6c6c;
}
#kvar_browser  div.track-contents{
	width: calc(100% - 180px);
	display: flex;
	font-family: "PT Sans", sans-serif;
}
#kvar_browser  div.track-contents.bottom-line{
	box-shadow: rgba(33, 35, 38, 0.1) 0px 10px 10px -10px;
	/* border-bottom: 1px dotted #e7e7e7; */
}
.browser-tooltip{
	position: absolute;
    color: #000;
    background: rgba(255,255,255,.95);
    border: 1px solid #bcbcbc;
    border-radius: .5rem;
    padding: 1rem;
    font-size: 1.2rem;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}
.browser-modal{
	position: absolute;
    color: #000;
    background: rgba(255,255,255,.95);
    border: 1px solid #bcbcbc;
    border-radius: .5rem;
    font-size: 1.2rem;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    z-index: 100;
}
.browser-modal > div.modal-title{
	padding: .3rem 1rem;
/*  	font-weight: bold; */
	background: #efefef;
}
.browser-modal > div.modal-title i{
	cursor: pointer;
	float: right;
}
.browser-modal > div.modal-contents{
	padding: .5rem 1rem;
}
/* Cytoband Track START*/
.cytoband-region{
	fill: none;
	stroke-width: 2;
	stroke: red;
	opacity: 1;
}
/* Cytoband Track END*/

/* Scale Track START */
.scale-line{
	stroke: #c7c7c7;
	stroke-width: 1;
	shape-rendering: crispEdges;
}
/* Scale Track END */

/* Gene Track START */
.gene-line{
	stroke: #000;
	stroke-width: 1;
 	shape-rendering: crispEdges;
	fill: none;
}
.gene-label{
	font-size: 1.2rem;
	cursor: default;
	user-select: none;
}
/* Gene Track END*/
.track-nodata{
	font-size: 12px;
	/* fill: #adadad; */
	/* text-anchor: middle; */
	fill: #125bc7;
	text-anchor: start;
}
g.gridline .domain{
	stroke: none;
}
g.gridline .tick line{
	stroke: #f0f0f0;
	shape-rendering: crispEdges;
}
.overlay {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    background: rgba(0,0,0,.1);
}

.overlay__inner {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: absolute;
}

.overlay__content {
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
}

.spinner {
    width: 75px;
    height: 75px;
    display: inline-block;
    border-width: 3px;
    border-color: rgb(0 35 119 / 25%);
    border-top-color: #033f6b;
    animation: spin 1s infinite linear;
    border-radius: 100%;
    border-style: solid;
}
div#ruler-track > .track-contents{
	cursor: col-resize;
}
.dialog {
  display:none;
    z-index: 1050;
  /*position: fixed;
  left: 0;
  top: 0;
  z-index: 10;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);*/
}

.dialog>.tb {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

.dialog>.tb .inner {
  width: 100%;
  padding: 2rem;
  background: #fff;
  border-radius: 16px;
  max-width: 800px;
}

.dialog .top {
  display: flex;
  align-item: center;
  border-bottom: 1px solid #919191;
  justify-content: space-between;
  padding-bottom: 1rem;
  margin-bottom: 1rem;
}

.dialog .title {
  font-weight: bold;
  font-size: 1.5rem;
}

.dialog .ct {
  /*overflow-y: auto;*/
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  background-color: #fff;
  font-size: 1.4rem;
}
.dialog .ct input.color_picker{
	padding: 0.2rem 1.2rem;
	font-size: 1.4rem;
	min-height: 2.7rem;
	width: 100%;
}
.dialog .ct table.colors-table th{
	font-weight: normal;
	text-align: left;
	padding: .3rem 1rem;
}
.dialog .ct table.tracks-table tr{
	border-bottom: 1px solid #ebebeb;
}
.dialog .ct table.colors-table td{
	padding: .3rem 1rem;
}
.dialog .ct table.tracks-table th{
	font-weight: normal;
	text-align: left;
	padding: .5rem 1rem;
}
.dialog .ct table.tracks-table td{
	padding: .5rem 1rem;
}
.ct .ct-bottom-btn{
	margin-top: 3rem;
	text-align: center;
}
.ct .ct-bottom-btn #setting-btn{
	line-height: normal;
    height: auto;
    padding: .5rem 2rem;
    min-width: auto;
    background: #263655;
    border: none;
}
.ct .ct-bottom-btn #setting-btn:hover{
    background: #0f1522;
    color: #fff;
    transition: .3s;
}
.ct div.row{
	display: flex;
	overflow: hidden;
}
.col-half{
	width: 50%;
	display: block;
	float: left;
	padding-right: 2rem;
}
.col-half .modal-conts-title{
	border-bottom: 2px solid black;
	margin-bottom: 1rem;
}
span#color-reset{
	font-size: 1.3rem;
    text-decoration: underline;
    color: #1474bb;
    cursor: pointer;
    float: right;
}
@keyframes spin {
  100% {
    transform: rotate(360deg);
  }
}
/* START TOOLTIP STYLES */
[custom-tooltip] {
  position: relative; /* opinion 1 */
}

/* Applies to all tooltips */
[custom-tooltip]::before,
[custom-tooltip]::after {
  text-transform: none; /* opinion 2 */
  font-size: 1.3rem; /* opinion 3 */
  line-height: 1;
  user-select: none;
  pointer-events: none;
  position: absolute;
  display: none;
  opacity: 0;
}
[custom-tooltip]::before {
  content: '';
  border: 5px solid transparent; /* opinion 4 */
  z-index: 1001; /* absurdity 1 */
}
[custom-tooltip]::after {
  content: attr(custom-tooltip); /* magic! */
  
  /* most of the rest of this is opinion */
  font-family: Helvetica, sans-serif;
  text-align: center;
  
  /* 
    Let the content set the size of the tooltips 
    but this will also keep them from being obnoxious
    */
  min-width: 3em;
/*   max-width: 21em; */
  white-space: nowrap;
  overflow: hidden;
/*   text-overflow: ellipsis; */
  padding: 1ch 1.5ch;
  border-radius: .3ch;
  box-shadow: 0 1em 2em -.5em rgba(0, 0, 0, 0.35);
  background: #4a4a4a;
  color: #fff;
  z-index: 1000; /* absurdity 2 */
}

/* Make the tooltips respond to hover */
[custom-tooltip]:hover::before,
[custom-tooltip]:hover::after {
  display: block;
}

/* don't show empty tooltips */
[custom-tooltip='']::before,
[custom-tooltip='']::after {
  display: none !important;
}

/* FLOW: UP */
[custom-tooltip]:not([flow])::before,
[custom-tooltip][flow^="up"]::before {
  bottom: 100%;
  border-bottom-width: 0;
  border-top-color: #4a4a4a;
}
[custom-tooltip]:not([flow])::after,
[custom-tooltip][flow^="up"]::after {
  bottom: calc(100% + 5px);
}
[custom-tooltip]:not([flow])::before,
[custom-tooltip]:not([flow])::after,
[custom-tooltip][flow^="up"]::before,
[custom-tooltip][flow^="up"]::after {
  left: 50%;
  transform: translate(-50%, -.5em);
}

/* FLOW: DOWN */
[custom-tooltip][flow^="down"]::before {
  top: 100%;
  border-top-width: 0;
  border-bottom-color: #4a4a4a;
}
[custom-tooltip][flow^="down"]::after {
  top: calc(100% + 5px);
}
[custom-tooltip][flow^="down"]::before,
[custom-tooltip][flow^="down"]::after {
  left: 50%;
  transform: translate(-50%, .5em);
}

/* FLOW: LEFT */
[custom-tooltip][flow^="left"]::before {
  top: 50%;
  border-right-width: 0;
  border-left-color: #4a4a4a;
  left: calc(0em - 5px);
  transform: translate(-.5em, -50%);
}
[custom-tooltip][flow^="left"]::after {
  top: 50%;
  right: calc(100% + 5px);
  transform: translate(-.5em, -50%);
}

/* FLOW: RIGHT */
[custom-tooltip][flow^="right"]::before {
  top: 50%;
  border-left-width: 0;
  border-right-color: #4a4a4a;
  right: calc(0em - 5px);
  transform: translate(.5em, -50%);
}
[custom-tooltip][flow^="right"]::after {
  top: 50%;
  left: calc(100% + 5px);
  transform: translate(.5em, -50%);
}

/* KEYFRAMES */
@keyframes tooltips-vert {
  to {
    opacity: .9;
    transform: translate(-50%, 0);
  }
}

@keyframes tooltips-horz {
  to {
    opacity: .9;
    transform: translate(0, -50%);
  }
}

/* FX All The Things */ 
[custom-tooltip]:not([flow]):hover::before,
[custom-tooltip]:not([flow]):hover::after,
[custom-tooltip][flow^="up"]:hover::before,
[custom-tooltip][flow^="up"]:hover::after,
[custom-tooltip][flow^="down"]:hover::before,
[custom-tooltip][flow^="down"]:hover::after {
  animation: tooltips-vert 200ms ease-out forwards;
}

[custom-tooltip][flow^="left"]:hover::before,
[custom-tooltip][flow^="left"]:hover::after,
[custom-tooltip][flow^="right"]:hover::before,
[custom-tooltip][flow^="right"]:hover::after {
  animation: tooltips-horz 200ms ease-out forwards;
}


.toggle-btn label {
  display: inline-flex;
  align-items: center;
  gap: 0.5rem;
  cursor: pointer;
}

.toggle-btn .toggle {
  appearance: none;
  position: relative;
  border: max(2px, 0.1em) solid gray;
  border-radius: 1.25em;
  width: 2.25em;
  height: 1.25em;
}

.toggle-btn .toggle::before {
  content: "";
  position: absolute;
  left: 0;
  width: .9em;
  height: .9em;
  border-radius: 50%;
  transform: scale(0.8);
  background-color: gray;
  transition: left 250ms linear;
}

.toggle-btn .toggle:checked {
  background-color: #263655;
  border-color: #263655;
}

.toggle-btn .toggle:checked::before {
  background-color: white;
  left: 1em;
}

.toggle-btn .toggle:focus-visible {
  outline-offset: max(2px, 0.1em);
  outline: max(2px, 0.1em) solid tomato;
}

/* .toggle-btn .toggle:enabled:hover { */
/*   box-shadow: 0 0 0 max(4px, 0.2em) lightgray; */
/* } */

fieldset.toggle-btn {
  border: none;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
.tracks-table fieldset.toggle-btn{
	float: right;
}
.variant-text{
	fill: white;
	font-size: 12px;
}
.variant_highlight{
    fill: #ffe0d0;
    opacity: 0.6;
    stroke: #ff7043;
    stroke-width: 1;
}
.variant_blue_highlight{
	fill: #dde3ff;
    opacity: 0.6;
    stroke: #5860c1;
    stroke-width: 1;
}
ul.ui-autocomplete li{
    font-size: 13px;
}